Bug 709491 - grab vmmemctl
Summary: grab vmmemctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Keith Robertson
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On: 709486
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 19:52 UTC by James M. Leddy
Modified: 2018-11-14 19:12 UTC (History)
9 users (show)

Fixed In Version: 2.2-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 709486
Environment:
Last Closed: 2011-12-06 18:11:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1536 normal SHIPPED_LIVE Low: sos security, bug fix, and enhancement update 2011-12-06 01:02:03 UTC

Description James M. Leddy 2011-05-31 19:52:51 UTC
+++ This bug was initially created as a clone of Bug #709486 +++

Description of problem:

the /proc/vmmemctl has something to do with important stuff that vmware does, such as the balloning driver. This file would be good to have


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

patch

diff -pru 2.2-1.fc14/work/sos-2.2/sos/plugins/vmware.py 2.2-1.fc14.revised_vmware/work/sos-2.2/sos/plugins/vmware.py
--- 2.2-1.fc14/work/sos-2.2/sos/plugins/vmware.py	2009-06-09 15:59:26.000000000 -0400
+++ 2.2-1.fc14.revised_vmware/work/sos-2.2/sos/plugins/vmware.py	2011-05-31 15:27:42.223702964 -0400
@@ -19,7 +19,7 @@ class vmware(sos.plugintools.PluginBase)
     """VMWare related information
     """
     def checkenabled(self):
-        if os.path.exists("/usr/bin/vmware"):
+        if os.path.exists("/usr/init.d/vmware-tools"):
             return True
         return False
         
@@ -27,4 +27,5 @@ class vmware(sos.plugintools.PluginBase)
         self.collectExtOutput("/usr/bin/vmware -v")
         self.addCopySpec("/etc/vmware/locations")
         self.addCopySpec("/etc/vmware/config")
+        self.addCopySpec("/proc/vmmemctl")
         return

Comment 5 errata-xmlrpc 2011-12-06 18:11:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1536.html


Note You need to log in before you can comment on or make changes to this bug.